#!/usr/bin/perl
################################################################
# Program:	SUB_DBIforms.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	DBI subroutines to include in main programs
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub cgiParse()
{
# print "content-type: text/html\n\n";

    if ( ( $ENV{'REQUEST_METHOD'} eq "POST" ) 
      || ( $ENV{'REQUEST_METHOD'} eq "post" ) ) {
        read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
        @pairs = split(/&/, $buffer);
    } else {
        @pairs = split(/&/, $ENV{'QUERY_STRING'});
    }
    
    # Now digest the data, putting it into a more useful format.
    
    foreach $pair (@pairs) {
        ($key, $value) = split(/=/, $pair);
        $value =~ tr/+/ /;
        $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
        $value =~ tr/\cM/\n/;
#         print "$key = $value<BR>\n";
        eval("\$$key = \"${value}\"");
        $FORM{$key} = $value;
    }
}
################################################################
sub fetchInputAttributes()
{
    $sth3 = $dbh3->prepare($sql);
    $sth3->execute;
    
    my $sth3_names = $sth3->{NAME};
    while (@InputAttributes = $sth3->fetchrow_array) {
      if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
      foreach $field_name (@$sth3_names) {
        ${${field_name}} = shift @InputAttributes;
    # print "${field_name} = ${${field_name}}<BR>\n";
      }
    }
}
################################################################
sub fetchInputDB()
{
    $sth2 = $dbh2->prepare($sql);
    $sth2->execute;
    
    my $sth2_names = $sth2->{NAME};
    while (@InputDB = $sth2->fetchrow_array) {
      if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
      foreach $field_name (@$sth2_names) {
        ${${field_name}} = shift @InputDB;
    # print "${field_name} = ${${field_name}}<BR>\n";
      }
    }
}
################################################################
sub footer()
{
print <<ENDPRINT;
<P>
<TABLE Border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#000000">
<P><TR><TD Colspan="3" Bgcolor="red"><FONT Size="1" Color="red">&nbsp;</FONT></TD></TR></P>
<P>
 <TR>
 <TD Colspan="3" Bgcolor="${Clr_BaseFont}">
 <FONT color="white" size="2">
&nbsp;
 </FONT>
 </TD>
 </TR>
</P>
<P>
 <TR>
 <TD Width="100%" Bgcolor="${Clr_BaseFont}" Align="center" Valign="middle">
 <FONT color="${Clr_PageBg}" size="2"><I>
For information regarding this page,
contact <A Href="mailto:${Contact_Email}"><FONT color="${Clr_PageBg}" size="2">${Contact_Name}</FONT></A>
&nbsp;(<A Href=\"mailto:${Contact_Email}\"><FONT color="${Clr_PageBg}" size="2">${Contact_Email}</FONT></A>)
</I></FONT>
 </TD>
 </TR>
</P>
<P>
 <TR>
 <TD Colspan="3" Bgcolor="${Clr_BaseFont}">
 <FONT color="${Clr_PageBg}" size="2">
&nbsp;
 </FONT>
 </TD>
 </TR>
</P>
</TABLE>
</P>
</BODY>
</HTML>
ENDPRINT

}
################################################################
sub formList()
{
    $_ = $ENV{SCRIPT_NAME};
    print "<FONT Size=\"2\">";
    if ( m|select\.pl| ) { print "SELECT"; } else { print "<A Href=\"select.pl\">SELECT</A>"; }
    print ": View records</FONT><BR>\n";
    
    if ( ( ${FORMNAME} ne 'MKPAGE' ) && ( ${FORMNAME} ne 'MKLINE' ) ) {
        print "<FONT Size=\"2\">";
        if ( m|insert\.pl| ) { print "INSERT"; } else { print "<A Href=\"insert.pl\">INSERT</A>"; }
        print ": Insert records</FONT><BR>\n";
    
        print "<FONT Size=\"2\">";
        if ( m|update\.pl| ) { print "UPDATE"; } else { print "<A Href=\"update.pl\">UPDATE</A>"; }
        print ": Update records</FONT><BR>\n";
    
        print "<FONT Size=\"2\">";
        if ( m|delete\.pl| ) { print "DELETE"; } else { print "<A Href=\"delete.pl\">DELETE</A>"; }
        print ": Delete records</FONT><BR>\n";
    
        print "<P><HR></P>\n";
    }
}
################################################################
sub formNameNull()
{
    ${TITLE1} = "List of Existing Forms";
    ${TITLE2} = "";
    ${TITLE3} = "";
    &titleBar;

    print "<P><HR></P>\n";
    print "<P><UL>\n";
    $sql = "SELECT FormName FROM InputPage Order by FormName";
    $sth = $dbh->prepare($sql);
    $sth->execute;
    
    my $rl_names = $sth->{NAME};
    while (@results = $sth->fetchrow_array) {
      if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
      foreach $field_name (@$rl_names) {
        ${${field_name}} = shift @results;
        print "<LI> <A Href=\"$ENV{SCRIPT_NAME}?FORMNAME=", ${${field_name}}, "\">Click Here</A> ", ${text_string}, " \"", ${${field_name}}, "\"<BR>\n";
    
      }
    }
    $sth->finish();
    print "</UL></P>\n";
    print "<P><HR></P>\n";
    
    &formList;
    &footer;
    $dbh->disconnect();
    exit;
}
################################################################
sub header()
{
    print "content-type:text/html\n\n";
    print "<HTML>\n";
    print "<BODY Bgcolor=\"${Clr_PageBg}\" Text=\"${Clr_BaseFont}\" Link=\"${Clr_Link}\" Alink=\"${Clr_Alink}\" Vlink=\"${Clr_Vlink}\">\n";
    print "<BASEFONT Size=\"${Siz_BaseFont} Color=\"${Clr_BaseFont}\">\n";
}
################################################################
sub inputHelp()
{
    ${HelpAppend} = "\\n\\nCGI Variable Name: ${InputName}\\nTable Name: ${TableName}\\nField Name: ${FieldName}\\nSQL Data Type: ${InputTypeSQL}";

    if ( ${Required} eq 1 ) {
        ${HelpAppend} = "\\n\\nThis information is required.\\nYou must enter a value." . ${HelpAppend};
    } else {
        ${HelpAppend} = "\\n\\nThis information is optional.\\nYou are not required to enter a value." . ${HelpAppend};
    }

    if ( ${InputTypeCGI} eq 'select' ) {
        if ( ${Multiple} eq 1 ) {
            ${HelpAppend} = "\\n\\nYou may select multiple items from the list." . ${HelpAppend};
        } else {
            ${HelpAppend} = "\\n\\nSelect one item from the list." . ${HelpAppend};
        }
    }

    print "    <TD Bgcolor=\"${Clr_TDBg}\" Align=\"left\">\n";
    print "      <FONT Size=\"-2\">\n";
    print "&nbsp;";
    if ( ${InputHelp} ne '' ) {
         print "<A Href=\"javascript:alert('${PositionID}: ${InputHelp}${HelpAppend}')\"><FONT Size=\"${Siz_TDFont}\" Color=\"${Clr_TDFont}\">Help</FONT></A>\n";
    }
    print "      </FONT>\n";
    print "    </TD>\n";
}
################################################################
sub inputPrompt()
{
    ${HelpAppend} = "\\n\\nCGI Variable Name: ${InputName}\\nTable Name: ${TableName}\\nField Name: ${FieldName}\\nSQL Data Type: ${InputTypeSQL}";

    print "    <TD Bgcolor=\"${Clr_TDBg}\" Align=\"right\">\n";
    print "      <FONT Size=\"${Siz_TDFont}\" Color=\"${Clr_TDFont}\">\n";
    print "      <STRONG>\n";

    if ( ${Required} eq 1 ) {
        ${HelpAppend} = "\\n\\nThis information is required.\\nYou must enter a value." . ${HelpAppend};
        if ( ( ${script_file[$#script_file]} ne 'update.pl' ) || ( ${TableName} ne 'KEY' ) ) {
            print "<FONT Color=\"red\"><I>*</I></FONT>\n";
        }
    } else {
        ${HelpAppend} = "\\n\\nThis information is optional.\\nYou are not required to enter a value." . ${HelpAppend};
    }

    if ( ${InputTypeCGI} eq 'select' ) {
        if ( ${Multiple} eq 1 ) {
            ${HelpAppend} = "\\n\\nYou may select multiple items from the list." . ${HelpAppend};
        } else {
            ${HelpAppend} = "\\n\\nSelect one item from the list." . ${HelpAppend};
        }
    }

    if ( ( ${InputTypeCGI} eq 'radio' ) || ( ${InputTypeCGI} eq 'checkbox' ) ) {
        print "&nbsp;\n";
    } else {
        if ( ${InputHelp} eq '' ) {
            print "${InputPrompt}: \n";
        } else {
            print "<A Href=\"javascript:alert('${PositionID}: ${InputHelp}${HelpAppend}')\"><FONT Size=\"${Siz_TDFont}\" Color=\"${Clr_TDFont}\">${InputPrompt}</FONT></A>: \n";
        }
    }
    print "      </STRONG>\n";
    print "      </FONT>\n";
    print "    </TD>\n";
}
# ################################################################
# sub inputPrompt()
# {
#     print "    <TD Bgcolor=\"${Clr_TDBg}\" Align=\"right\">\n";
#     print "      <FONT Size=\"${Siz_TDFont}\" Color=\"${Clr_TDFont}\">\n";
#     print "      <STRONG>\n";
#     if ( ( ${InputTypeCGI} eq 'radio' ) || ( ${InputTypeCGI} eq 'checkbox' ) ) {
#         print "&nbsp;\n";
#     } else {
#         print "${InputPrompt}: \n";
#     }
#     print "      </STRONG>\n";
#     print "      </FONT>\n";
#     print "    </TD>\n";
# }
################################################################
sub inputValue()
{
    print "    <TD Bgcolor=\"${Clr_TDBg}\" Align=\"left\">\n";
    print "      <FONT Size=\"${Siz_TDFont}\" Color=\"${Clr_TDFont}\">\n";
    print "&nbsp;\n";
    
    if ( ${InputTypeCGI} eq 'text' ) {
      if ( ( ${script_file[$#script_file]} eq 'update.pl' ) && ( ${TableName} eq 'KEY' ) ) {
        print "${InputValue}";
        print "<INPUT Type=hidden Name=\"${InputName}\" Value=\"${InputValue}\">\n";
      } else {
        print "<INPUT";
        print " Type=\"${InputTypeCGI}\"";
        print " Name=\"${InputName}\"";
        print " Value=\"${InputValue}\"";
        print " Size=\"${Height}\"";
        print " MaxLength=\"${Width}\"";
        print ">\n";
      }
    }
    
    if ( ( ${InputTypeCGI} eq 'radio' ) || ( ${InputTypeCGI} eq 'checkbox' ) ) {
      if ( ( ${script_file[$#script_file]} eq 'update.pl' ) && ( ${TableName} eq 'KEY' ) ) {
        print "${InputValue}";
        print "<INPUT Type=hidden Name=\"${InputName}\" Value=\"${InputValue}\">\n";
      } else {
        print "<INPUT";
        print " Type=\"${InputTypeCGI}\"";
        print " Name=\"${InputName}\"";
        print " Value=\"${InputValue}\"";
        if ( ( ${CheckboxValue} ne '' ) && ( ${CheckboxValue} ne '0' ) ) {
            print " Checked";
        } elsif ( ${Selected} eq 1 ) {
            print " Checked";
        }
#         print ">&nbsp;${InputPrompt}\n";
        print ">&nbsp;\n";

        if ( ${InputHelp} eq '' ) {
            print "${InputPrompt}: \n";
        } else {
            if ( ${InputValue} ne '' ) {
                ${HelpAppend} = ${HelpAppend} . "\\n\\nChecked Value: ${InputValue}";
            }
            print "<A Href=\"javascript:alert('${PositionID}: ${InputHelp}${HelpAppend}')\"><FONT Size=\"${Siz_TDFont}\" Color=\"${Clr_TDFont}\">${InputPrompt}</FONT></A>: \n";
        }
      }
    }
    
    if ( ${InputTypeCGI} eq 'textarea' ) {
      if ( ( ${script_file[$#script_file]} eq 'update.pl' ) && ( ${TableName} eq 'KEY' ) ) {
        print "${InputValue}";
        print "<INPUT Type=hidden Name=\"${InputName}\" Value=\"${InputValue}\">\n";
      } else {
        print "<TEXTAREA";
        print " Name=\"${InputName}\"";
        print " Rows=\"${Height}\"";
        print " Cols=\"${Width}\"";
        print ">\n";
        print "${InputValue}";
        print "</TEXTAREA>";
      }
    }
    
    print "<INPUT Type=hidden Name=\"${InputName}_TABLENAME\" Value=\"${TableName}\">\n";
    print "<INPUT Type=hidden Name=\"${InputName}_FIELDNAME\" Value=\"${FieldName}\">\n";
    
    if ( ${InputTypeCGI} eq 'select' ) {
      if ( ( ${script_file[$#script_file]} eq 'update.pl' ) && ( ${TableName} eq 'KEY' ) ) {
        print "${InputValue}";
        print "<INPUT Type=hidden Name=\"${InputName}\" Value=\"${InputValue}\">\n";
      } else {
        my ${InputHelpSave} = ${InputHelp};
        print "<SELECT";
        print " Name=\"${InputName}\"";
        if ( ${Multiple} eq 1 ) {
            print " Multiple";
        }
        print ">\n";
        ${SelectInputValue} = ${InputValue};
        &optionLines;
        print "</SELECT>";
        ${InputHelp} = ${InputHelpSave};
      }
    }
    
#     if ( ( ${script_file[$#script_file]} ne 'update.pl' ) || ( ${TableName} ne 'KEY' ) ) {
#         if ( ${Required} eq 1 ) {
#             print "<FONT Color=\"red\"><I>Required</I></FONT>\n";
#         } else {
#             print "<FONT Color=\"Green\"><I>Optional</I></FONT>\n";
#         }
#     }
    
    print "      </FONT>\n";
    print "    </TD>\n";
}
################################################################
sub linkBar()
{
    print "<FONT Size=\"2\"><A Href=\"select.pl\">SELECT</A>: View records for form \"<A Href=\"select.pl?FORMNAME=${FORMNAME}\">${FORMNAME}</A>\"</FONT><BR>\n";
    if ( ( ${FORMNAME} ne 'MKPAGE' ) && ( ${FORMNAME} ne 'MKLINE' ) ) {
      print "<FONT Size=\"2\"><A Href=\"insert.pl\">INSERT</A>: Insert records for form \"<A Href=\"insert.pl?FORMNAME=${FORMNAME}\">${FORMNAME}</A>\"</FONT><BR>\n";
      print "<FONT Size=\"2\"><A Href=\"update.pl\">UPDATE</A>: Update records for form \"<A Href=\"update.pl?FORMNAME=${FORMNAME}\">${FORMNAME}</A>\"</FONT><BR>\n";
      print "<FONT Size=\"2\"><A Href=\"delete.pl\">DELETE</A>: Delete records for form \"<A Href=\"delete.pl?FORMNAME=${FORMNAME}\">${FORMNAME}</A>\"</FONT><BR>\n";
      print "<P><HR></P>\n";
    }
}
################################################################
sub optionLines()
{
    my ($sth1);
    my ($sth2);
    my ($sth3);
    my $dbh1 = DBI->connect() ;
    my $dbh2 = DBI->connect() ;
    my $dbh3 = DBI->connect() ;
    $sql = "SELECT * from InputLines WHERE FormName = '${FORMNAME}' AND InputName = '${InputName}' AND InputTypeCGI = 'option' ORDER BY PositionID";
    $sth1 = $dbh1->prepare($sql);
    $sth1->execute;
    my(@InputLines);
    my $rl_names = $sth1->{NAME};
    while (@InputLines = $sth1->fetchrow_array) {
    
      if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
      foreach $field_name (@$rl_names) {
        ${${field_name}} = shift @InputLines;
    # print "${field_name} = ${${field_name}}<BR>\n";
      }
    
      $sql = "select * from InputDB WHERE FormName = '${FORMNAME}' AND InputName = '${InputName}' AND PositionID = '${PositionID}'";
      $sth2 = $dbh2->prepare($sql);
      $sth2->execute;
    
      my $sth2_names = $sth2->{NAME};
      while (@InputDB = $sth2->fetchrow_array) {
        if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
        foreach $field_name (@$sth2_names) {
          ${${field_name}} = shift @InputDB;
    # print "${field_name} = ${${field_name}}<BR>\n";
        }
      }
    
      $sql = "select * from InputAttributes WHERE FormName = '${FORMNAME}' AND InputName = '${InputName}' AND PositionID = '${PositionID}'";
      $sth3 = $dbh3->prepare($sql);
      $sth3->execute;
      
      my $sth3_names = $sth3->{NAME};
      while (@InputAttributes = $sth3->fetchrow_array) {
        if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
        foreach $field_name (@$sth3_names) {
          ${${field_name}} = shift @InputAttributes;
    # print "${field_name} = ${${field_name}}<BR>\n";
        }
      }
    
      $sth3->finish();
      $sth2->finish();
    
      print "<OPTION";
      print " Value=\"${InputValue}\"";
      if ( ( ${Selected} eq 1 ) || ( ${SelectInputValue} eq ${InputValue} ) ) {
          print " Selected";
      }
      print ">${InputPrompt}</OPTION>\n";
    }
    $sth1->finish();
}
################################################################
sub positionID()
{
    print "    <TD Bgcolor=\"${Clr_TDBg}\" Align=\"right\">\n";
    print "      <FONT Size=\"${Siz_TDFont}\" Color=\"${Clr_TDFont}\">\n";
    print "      <STRONG>\n";
    print "${PositionID}: \n";
    print "      </STRONG>\n";
    print "      </FONT>\n";
    print "    </TD>\n";
}
################################################################
sub selectInputPage()
{
    ################################################################
    # Build an HTML from from the database values for form "${FORMNAME}"
    ################################################################
    
    if ( ${FORMNAME} eq '' ) {
        $sql = "SELECT * FROM InputPage WHERE FormName = 'DEFAULT'";
    } else {
        $sth = $dbh->prepare("select count(FormName) howmany from InputPage where FormName = '${FORMNAME}'");
        $sth->execute;
        my ($howmany) = $sth->fetchrow_array;
        if ( $howmany gt 0 ) {
            $sql = "SELECT * FROM InputPage WHERE FormName = '${FORMNAME}'";
        } else {
            $sql = "SELECT * FROM InputPage WHERE FormName = 'DEFAULT'";
        }
    }
    
    $sth = $dbh->prepare($sql);
    $sth->execute;
    
    my $rl_names = $sth->{NAME};
    while (@results = $sth->fetchrow_array) {
      if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
      foreach $field_name (@$rl_names) {
        ${${field_name}} = shift @results;
      }
    }
    $sth->finish();
}
################################################################
sub titleBar()
{
#   print "<P><CENTER><H1>${TITLE1}</H1></CENTER></P>\n" if ( ${TITLE1} ne '' );
#   print "<P><CENTER><H2>${TITLE2}</H2></CENTER></P>\n" if ( ${TITLE2} ne '' );
#   print "<P><CENTER><H3>${TITLE3}</H3></CENTER></P>\n" if ( ${TITLE3} ne '' );

print <<ENDPRINT;
<P>
<TABLE Border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#000000">
<P>
 <TR>
 <TD Width="20%" Bgcolor="${Clr_BaseFont}" Align="center" Valign="middle">
 <FONT color="${Clr_PageBg}" size="1"><STRONG>
&nbsp;
 </STRONG></FONT>
 </TD>
 <TD Width="60%" Bgcolor="${Clr_BaseFont}" Align="center" Valign="middle">
 <FONT color="${Clr_PageBg}" size="6"><STRONG>
${TITLE1}
 </STRONG></FONT>
<BR>&nbsp;
 <FONT color="${Clr_PageBg}" size="5"><STRONG>
${TITLE2}
 </STRONG></FONT>
<BR>&nbsp;
 <FONT color="${Clr_PageBg}" size="4"><STRONG>
${TITLE3}
 </STRONG></FONT>
 </TD>
 <TD Width="20%" Bgcolor="${Clr_BaseFont}" Align="center" Valign="middle">
 <FONT color="${Clr_PageBg}" size="1">
&nbsp;
 </FONT>
 </TD>
 </TR>
 <TR><TD Colspan="3" Bgcolor="red"><FONT Size="1" Color="red">&nbsp;</FONT></TD></TR>
</P>
</TABLE>
</P>

ENDPRINT

}
################################################################

