#!/usr/bin/perl
################################################################
# Program:	mkinputlines.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates MKPAGE and MKLINE input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

my ($sth);
my ($sth2);
my ($sth3);
my ($sql);

my $dbh = DBI->connect() ;

$sql = 'drop table InputLines; drop table InputDB; drop table InputAttributes';
$sth = $dbh->do($sql);

$sql = 'create table InputLines ( FormName varchar(16), InputName varchar(32), PositionID integer, InputPrompt varchar(32), InputTypeCGI varchar(16), InputValue varchar(255), InputHelp varchar(255) )';
$sth = $dbh->do($sql);
$sql = 'create table InputDB ( FormName varchar(16), InputName varchar(32), PositionID integer, TableName varchar(32), FieldName varchar(32), InputTypeSQL varchar(16) )';
$sth = $dbh->do($sql);
$sql = 'create table InputAttributes ( FormName varchar(16), InputName varchar(32), PositionID integer, Height integer, Width integer, Selected integer, Multiple integer, Required integer )';
$sth = $dbh->do($sql);

################################################################
#  Input lines for form MKPAGE
################################################################
$sth = $dbh->do("delete from InputLines WHERE FormName = 'MKPAGE'");
$sth = $dbh->do("delete from InputDB WHERE FormName = 'MKPAGE'");
$sth = $dbh->do("delete from InputAttributes WHERE FormName = 'MKPAGE'");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'FORMNAME', 1, 'Form Name', 'text', '', 'Input a unique identifier for this input screen' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'FORMNAME', 1, 'KEY', 'FormName', 'varchar(64)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'FORMNAME', 1, 32, 64, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'PAGETITLE', 2, 'Page Title', 'text', '', 'Input a title for this input screen' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'PAGETITLE', 2, 'InputPage', 'Page_Title', 'varchar(64)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'PAGETITLE', 2, 32, 64, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CONTACTNAME', 3, 'Contact Name', 'text', '', 'Input the name of a person to use as a contact for information regarding this page' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CONTACTNAME', 3, 'InputPage', 'Contact_Name', 'varchar(64)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CONTACTNAME', 3, 32, 64, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CONTACTEMAIL', 4, 'Contact E-mail Address', 'text', '', 'Input the e-mail address of the person to use as a contact for information regarding this page' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CONTACTEMAIL', 4, 'InputPage', 'Contact_Email', 'varchar(64)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CONTACTEMAIL', 4, 32, 64, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CLRPAGEBG', 5, 'Page Background Color', 'text', 'white', 'Input a color to use as the background color of the page' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CLRPAGEBG', 5, 'InputPage', 'Clr_PageBg', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CLRPAGEBG', 5, 16, 16, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CLRLINK', 6, 'Link Color', 'text', 'blue', 'Input a color to use as the color of hypertext links' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CLRLINK', 6, 'InputPage', 'Clr_Link', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CLRLINK', 6, 16, 16, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CLRALINK', 7, 'Active Link Color', 'text', 'yellow', 'Input a color to use as the color of hypertext active links' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CLRALINK', 7, 'InputPage', 'Clr_Alink', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CLRALINK', 7, 16, 16, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CLRVLINK', 8, 'Viewed Link Color', 'text', 'red', 'Input a color to use as the color of hypertext viewed links' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CLRVLINK', 8, 'InputPage', 'Clr_Vlink', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CLRVLINK', 8, 16, 16, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CLRTHBG', 9, 'Table Background Color', 'text', 'lightyellow', 'Input a color to use as the background color of each table cell' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CLRTHBG', 9, 'InputPage', 'Clr_TDBg', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CLRTHBG', 9, 16, 16, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CLRTHBG', 10, 'Table Header Background Color', 'text', 'lightblue', 'Input a color to use as the background color of each table header cell' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CLRTHBG', 10, 'InputPage', 'Clr_THBg', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CLRTHBG', 10, 16, 16, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CLRBASEFONT', 11, 'Base Font Color', 'text', 'Black', 'Input a color to use as the color of normal text' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CLRBASEFONT', 11, 'InputPage', 'Clr_BaseFont', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CLRBASEFONT', 11, 16, 16, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CLRTHFONT', 12, 'Table Header Font Color', 'text', 'darkblue', 'Input a color to use as the color of table header text' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CLRTHFONT', 12, 'InputPage', 'Clr_THFont', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CLRTHFONT', 12, 16, 16, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CLRTDFONT', 13, 'Table Cell Font Color', 'text', 'black', 'Input a color to use as the color of table cell text' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CLRTDFONT', 13, 'InputPage', 'Clr_TDFont', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CLRTDFONT', 13, 16, 16, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'SIZBASEFONT', 14, 'Base Font Size', 'text', '4', 'Input a size to use as the size of normal text' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'SIZBASEFONT', 14, 'InputPage', 'Siz_BaseFont', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'SIZBASEFONT', 14, 3, 3, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'SIZTHFONT', 15, 'Table Header Font Size', 'text', '4', 'Input a size to use as the size of table header text' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'SIZTHFONT', 15, 'InputPage', 'Siz_THFont', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'SIZTHFONT', 15, 3, 3, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'SIZTDFONT', 16, 'Table Cell Font Size', 'text', '3', 'Input a size to use as the size of table cell text' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'SIZTDFONT', 16, 'InputPage', 'Siz_TDFont', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'SIZTDFONT', 16, 3, 3, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CELLSPACING', 17, 'Table Cell Spacing', 'text', '0', 'Input the number of pixels to use to separate table cells' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CELLSPACING', 17, 'InputPage', 'CellSpacing', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CELLSPACING', 17, 3, 3, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'CELLPADDING', 18, 'Table Cell Padding', 'text', '10', 'Input the number of pixels to use to pad the inside of a table cell' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'CELLPADDING', 18, 'InputPage', 'CellPadding', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'CELLPADDING', 18, 3, 3, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'Form_Action', 19, 'Form Action', 'text', '', 'Input a URL to use to process the data from this form' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'Form_Action', 19, 'InputPage', 'Form_Action', 'varchar(255)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'Form_Action', 19, 48, 255, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines VALUES ( 'MKPAGE', 'Form_Method', 20, 'Form Method', 'text', 'GET', 'Input a URL to use to process the data from this form' )");
$sth = $dbh->do("insert into InputDB VALUES ( 'MKPAGE', 'Form_Method', 20, 'InputPage', 'Form_Method', 'varchar(8)' );");
$sth = $dbh->do("insert into InputAttributes VALUES ( 'MKPAGE', 'Form_Method', 20, 8, 8, 0, 0, 0 );");

################################################################
#  Input lines for form MKLINE
################################################################
$sth = $dbh->do("delete from InputLines where FormName = 'MKLINE'");
$sth = $dbh->do("delete from InputDB where FormName = 'MKLINE'");
$sth = $dbh->do("delete from InputAttributes where FormName = 'MKLINE'");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'FORMNAME', 1, 'Form Name', 'text', '', 'Enter a form unique identifier for this input line')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'FORMNAME', 1, 'KEY', 'FormName', 'varchar(64)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'FORMNAME', 1, 32, 64, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTNAME', 2, 'Form Variable Name', 'text', '', 'Enter a form unique form variable name')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTNAME', 2, 'KEY', 'InputName', 'varchar(64)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTNAME', 2, 32, 64, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'POSITIONID', 3, 'Screen Position', 'text', '', 'Enter a number which represents the position of this line on the screen')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'POSITIONID', 3, 'KEY', 'PositionID', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'POSITIONID', 3, 3, 3, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTPROMPT', 4, 'Input Prompt String', 'text', '', 'Enter a string which will be used to prompt the user for input')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTPROMPT', 4, 'InputLines', 'InputPrompt', 'varchar(64)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTPROMPT', 4, 32, 64, 0, 0, 1 );");

# InputTypeCGI $sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTTYPECGI', 5, 'CGI Input Type', 'text', 'text', 'Enter a string which represents the CGI data type.  Valid types are text.')");
# InputTypeCGI $sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTTYPECGI', 5, 'InputLines', 'InputTypeCGI', 'varchar(16)' );");
# InputTypeCGI $sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTTYPECGI', 5, 16, 16, 0, 0, 1 );");

####  Start InputTypeCGI

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTTYPECGI', 5, 'CGI Input Type', 'select', '', 'Enter a string which represents the CGI data type.  Valid types are text.')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTTYPECGI', 5, 'InputLines', 'InputTypeCGI', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTTYPECGI', 5, 16, 16, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTTYPECGI', 501, 'text', 'option', 'text', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTTYPECGI', 501, 'InputLines', 'InputTypeCGI', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTTYPECGI', 501, 16, 16, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTTYPECGI', 502, 'textarea', 'option', 'Textarea', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTTYPECGI', 502, 'InputLines', 'InputTypeCGI', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTTYPECGI', 502, 16, 16, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTTYPECGI', 503, 'radio', 'option', 'Radio', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTTYPECGI', 503, 'InputLines', 'InputTypeCGI', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTTYPECGI', 503, 16, 16, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTTYPECGI', 504, 'checkbox', 'option', 'Checkbox', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTTYPECGI', 504, 'InputLines', 'InputTypeCGI', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTTYPECGI', 504, 16, 16, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTTYPECGI', 505, 'select', 'option', 'Select', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTTYPECGI', 505, 'InputLines', 'InputTypeCGI', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTTYPECGI', 505, 16, 16, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTTYPECGI', 506, 'option', 'option', 'Option', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTTYPECGI', 506, 'InputLines', 'InputTypeCGI', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTTYPECGI', 506, 16, 16, 0, 0, 1 );");

####  END InputTypeCGI

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTTYPESQL', 6, 'SQL Data Type', 'text', 'varchar(16)', 'Enter a string which represents the SQL type.  All SQL data types are valid.')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTTYPESQL', 6, 'InputDB', 'InputTypeSQL', 'varchar(16)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTTYPESQL', 6, 16, 16, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTVALUE', 7, 'Default Value', 'text', '', 'Enter a default value for this data entry line')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTVALUE', 7, 'InputLines', 'InputValue', 'varchar(255)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTVALUE', 7, 48, 255, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'INPUTHELP', 8, 'Help Message', 'text', '', 'Enter a help message to further explain the type of data that should be entered on this data entry line')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'INPUTHELP', 8, 'InputLines', 'InputHelp', 'varchar(255)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'INPUTHELP', 8, 48, 255, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'TABLENAME', 9, 'Associated SQL Table Name', 'text', '', 'Enter the name of the SQL table where this data will be stored')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'TABLENAME', 9, 'InputDB', 'TableName', 'varchar(255)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'TABLENAME', 9, 48, 255, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'FIELDNAME', 10, 'Associated SQL Field Name', 'text', '', 'Enter the name of the SQL field where this data will be stored')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'FIELDNAME', 10, 'InputDB', 'FieldName', 'varchar(255)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'FIELDNAME', 10, 48, 255, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'HEIGHT', 11, 'Field Height', 'text', '16', 'Number of columns for TEXTAREA, Size of input box for TEXT')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'HEIGHT', 11, 'InputAttributes', 'Height', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'HEIGHT', 11, 3, 3, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'WIDTH', 12, 'Field Width', 'text', '32', 'Number of rows for TEXTAREA, MaxLength of input box for TEXT')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'WIDTH', 12, 'InputAttributes', 'Width', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'WIDTH', 12, 3, 3, 0, 0, 0 );");

####  Begin SELECTED 

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'SELECTED', 13, 'Selected', 'select', '0', 'Indicates that this row is automatically selected on user input form.')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'SELECTED', 13, 'InputAttributes', 'Selected', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'SELECTED', 13, 3, 3, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'SELECTED', 1301, 'No', 'option', '0', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'SELECTED', 1301, 'InputAttributes', 'Selected', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'SELECTED', 1301, 3, 3, 1, 0, 0 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'SELECTED', 1302, 'Yes', 'option', '1', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'SELECTED', 1302, 'InputAttributes', 'Selected', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'SELECTED', 1302, 3, 3, 0, 0, 0 );");

####  End SELECTED 

####  Begin MULTIPLE

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'MULTIPLE', 14, 'Multiple Selections', 'select', '0', 'Indicates that Multiple rows may be selected on a drop down box.')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'MULTIPLE', 14, 'InputAttributes', 'Multiple', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'Multiple', 14, 3, 3, 0, 0, 0 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'MULTIPLE', 1401, 'No', 'option', '0', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'MULTIPLE', 1401, 'InputAttributes', 'Multiple', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'Multiple', 1401, 3, 3, 1, 0, 0 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'MULTIPLE', 1402, 'Yes', 'option', '1', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'MULTIPLE', 1402, 'InputAttributes', 'Multiple', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'Multiple', 1402, 3, 3, 0, 0, 0 );");

####  End MULTIPLE

####  Begin REQUIRED

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'REQUIRED', 15, 'Required', 'select', '0', 'Indicates that this data entry line contains required data.')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'REQUIRED', 15, 'InputAttributes', 'Required', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'REQUIRED', 15, 3, 3, 0, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'REQUIRED', 1501, 'No', 'option', '0', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'REQUIRED', 1501, 'InputAttributes', 'Required', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'REQUIRED', 1501, 3, 3, 1, 0, 1 );");

$sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) values ( 'MKLINE', 'REQUIRED', 1502, 'Yes', 'option', '1', '')");
$sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) values ( 'MKLINE', 'REQUIRED', 1502, 'InputAttributes', 'Required', 'varchar(3)' );");
$sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) values ( 'MKLINE', 'REQUIRED', 1502, 3, 3, 0, 0, 1 );");

####  End REQUIRED

$dbh->disconnect();
