#!/usr/bin/perl
################################################################
# Program:	mkinputlines.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates MKPAGE and MKLINE input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("insert into InputLines2 ( LineName, InputName, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${LineName}', '${InputName}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB2 ( LineName, InputName, TableName, FieldName, InputTypeSQL ) VALUES ( '${LineName}', '${InputName}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes2 ( LineName, InputName, Height, Width, Selected, Multiple, Required ) VALUES ( '${LineName}', '${InputName}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
sub mkformline()
{
  $sth = $dbh->do("insert into FormLines2 ( FormName, LineName, PositionID ) VALUES ( '${FormName}', '${LineName}', '${PositionID}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

$dbh = DBI->connect();

$sql = 'drop table InputLines2; drop table InputDB2; drop table InputAttributes2';
$sth = $dbh->do($sql);

$sql = 'create table InputLines2 ( LineName varchar(16), InputName varchar(32), InputPrompt varchar(32), InputTypeCGI varchar(16), InputValue varchar(255), InputHelp varchar(255) )';
$sth = $dbh->do($sql);
$sql = 'create table InputDB2 ( LineName varchar(16), InputName varchar(32), TableName varchar(32), FieldName varchar(32), InputTypeSQL varchar(16) )';
$sth = $dbh->do($sql);
$sql = 'create table InputAttributes2 ( LineName varchar(16), InputName varchar(32), Height integer, Width integer, Selected integer, Multiple integer, Required integer )';
$sth = $dbh->do($sql);

################################################################
#  Input lines for form
################################################################

${LineName} = 'formname';
${InputName} = 'FORMNAME';
${InputPrompt} = 'Form Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Input a unique identifier for this input screen';
${TableName} = 'KEY';
${FieldName} = 'FormName';
${InputTypeSQL} = 'varchar(24)';
${Height} = '24';
${Width} = '24';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} = 'pagetitle';
${InputName} = 'PAGETITLE';
${InputPrompt} = 'Page Title';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Input a title for this input screen';
${TableName} = 'InputPage2';
${FieldName} = 'Page_Title';
${InputTypeSQL} = 'varchar(64)';
${Height} = '32';
${Width} = '64';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} = 'contactname';
${InputName} = 'CONTACTNAME';
${InputPrompt} = 'Contact Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Input the name of a person to use as a contact for information regarding this page';
${TableName} = 'InputPage2';
${FieldName} = 'Contact_Name';
${InputTypeSQL} = 'varchar(64)';
${Height} = '32';
${Width} = '64';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'contactemail';
${InputName} = 'CONTACTEMAIL';
${InputPrompt} = 'Contact E-mail Address';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Input the e-mail address of the person to use as a contact for information regarding this page';
${TableName} = 'InputPage2';
${FieldName} = 'Contact_Email';
${InputTypeSQL} = 'varchar(64)';
${Height} = '32';
${Width} = '64';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clrpagebg';
${InputName} = 'CLRPAGEBG';
${InputPrompt} = 'Page Background Color';
${InputTypeCGI} = 'text';
${InputValue} = 'white';
${InputHelp} = 'Input a color to use as the background color of the page';
${TableName} = 'InputPage2';
${FieldName} = 'Clr_PageBg';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clrlink';
${InputName} = 'CLRLINK';
${InputPrompt} = 'Link Color';
${InputTypeCGI} = 'text';
${InputValue} = 'blue';
${InputHelp} = 'Input a color to use as the color of hypertext links';
${TableName} = 'InputPage2';
${FieldName} = 'Clr_Link';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clralink';
${InputName} = 'CLRALINK';
${InputPrompt} = 'Active Link Color';
${InputTypeCGI} = 'text';
${InputValue} = 'yellow';
${InputHelp} = 'Input a color to use as the color of hypertext active links';
${TableName} = 'InputPage2';
${FieldName} = 'Clr_Alink';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clrvlink';
${InputName} = 'CLRVLINK';
${InputPrompt} = 'Viewed Link Color';
${InputTypeCGI} = 'text';
${InputValue} = 'red';
${InputHelp} = 'Input a color to use as the color of hypertext viewed links';
${TableName} = 'InputPage2';
${FieldName} = 'Clr_Vlink';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clrtdbg';
${InputName} = 'CLRTDBG';
${InputPrompt} = 'Table Background Color';
${InputTypeCGI} = 'text';
${InputValue} = 'lightyellow';
${InputHelp} = 'Input a color to use as the background color of each table cell';
${TableName} = 'InputPage2';
${FieldName} = 'Clr_TDBg';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
${
FormName} = 'clrthbg';
${InputName} = 'CLRTHBG';
${InputPrompt} = 'Table Header Background Color';
${InputTypeCGI} = 'text';
${InputValue} = 'lightblue';
${InputHelp} = 'Input a color to use as the background color of each table header cell';
${TableName} = 'InputPage2';
${FieldName} = 'Clr_THBg';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clrbasefont';
${InputName} = 'CLRBASEFONT';
${InputPrompt} = 'Base Font Color';
${InputTypeCGI} = 'text';
${InputValue} = 'Black';
${InputHelp} = 'Input a color to use as the color of normal text';
${TableName} = 'InputPage2';
${FieldName} = 'Clr_BaseFont';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clrthfont';
${InputName} = 'CLRTHFONT';
${InputPrompt} = 'Table Header Font Color';
${InputTypeCGI} = 'text';
${InputValue} = 'darkblue';
${InputHelp} = 'Input a color to use as the color of table header text';
${TableName} = 'InputPage2';
${FieldName} = 'Clr_THFont';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clrtdfont';
${InputName} = 'CLRTDFONT';
${InputPrompt} = 'Table Cell Font Color';
${InputTypeCGI} = 'text';
${InputValue} = 'black';
${InputHelp} = 'Input a color to use as the color of table cell text';
${TableName} = 'InputPage2';
${FieldName} = 'Clr_TDFont';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'sizbasefont';
${InputName} = 'SIZBASEFONT';
${InputPrompt} = 'Base Font Size';
${InputTypeCGI} = 'text';
${InputValue} = '4';
${InputHelp} = 'Input a size to use as the size of normal text';
${TableName} = 'InputPage2';
${FieldName} = 'Siz_BaseFont';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'sizthfont';
${InputName} = 'SIZTHFONT';
${InputPrompt} = 'Table Header Font Size';
${InputTypeCGI} = 'text';
${InputValue} = '4';
${InputHelp} = 'Input a size to use as the size of table header text';
${TableName} = 'InputPage2';
${FieldName} = 'Siz_THFont';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'siztdfont';
${InputName} = 'SIZTDFONT';
${InputPrompt} = 'Table Cell Font Size';
${InputTypeCGI} = 'text';
${InputValue} = '3';
${InputHelp} = 'Input a size to use as the size of table cell text';
${TableName} = 'InputPage2';
${FieldName} = 'Siz_TDFont';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'cellspacing';
${InputName} = 'CELLSPACING';
${InputPrompt} = 'Table Cell Spacing';
${InputTypeCGI} = 'text';
${InputValue} = '0';
${InputHelp} = 'Input the number of pixels to use to separate table cells';
${TableName} = 'InputPage2';
${FieldName} = 'CellSpacing';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'cellpadding';
${InputName} = 'CELLPADDING';
${InputPrompt} = 'Table Cell Padding';
${InputTypeCGI} = 'text';
${InputValue} = '10';
${InputHelp} = 'Input the number of pixels to use to pad the inside of a table cell';
${TableName} = 'InputPage2';
${FieldName} = 'CellPadding';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'pretablescript';
${InputName} = 'Pretable_Script';
${InputPrompt} = 'PreTable Script';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the name of a script to run before generating the input form';
${TableName} = 'InputPage2';
${FieldName} = 'Pretable_Script';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'posttablescript';
${InputName} = 'Posttable_Script';
${InputPrompt} = 'PostTable Script';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the name of a script to run after generating the input form';
${TableName} = 'InputPage2';
${FieldName} = 'Posttable_Script';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'formaction';
${InputName} = 'Form_Action';
${InputPrompt} = 'Form Action';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the name of a CGI program to run as the action associated with this form';
${TableName} = 'InputPage2';
${FieldName} = 'Form_Action';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'formmethod';
${InputName} = 'Form_Method';
${InputPrompt} = 'Form Method';
${InputTypeCGI} = 'text';
${InputValue} = 'GET';
${InputHelp} = 'Input a URL to use to process the data from this form';
${TableName} = 'InputPage2';
${FieldName} = 'Form_Method';
${InputTypeSQL} = 'varchar(8)';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

################################################################
#  Input lines for form MKLINE
################################################################

${LineName} = 'linename';
${InputName} = 'LINENAME';
${InputPrompt} = 'Line Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a unique identifier for this input line';
${TableName} = 'KEY';
${FieldName} =  'LineName';
${InputTypeSQL} = 'varchar(24)';
${Height} = '24';
${Width} = '24';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='inputname';
${InputName} = 'INPUTNAME';
${InputPrompt} = 'Form Variable Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a unique form variable name';
${TableName} = 'KEY';
${FieldName} =  'InputName';
${InputTypeSQL} = 'varchar(64)';
${Height} = '32';
${Width} = '64';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='inputprompt';
${InputName} = 'INPUTPROMPT';
${InputPrompt} = 'Input Prompt String';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a string which will be used to prompt the user for input';
${TableName} = 'InputLines2';
${FieldName} =  'InputPrompt';
${InputTypeSQL} = 'varchar(64)';
${Height} = '32';
${Width} = '64';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

####  Start InputTypeCGI

${LineName} ='inputtypecgi';
${InputName} = 'INPUTTYPECGI';
${InputPrompt} = 'CGI Input Type';
${InputTypeCGI} = 'select';
${InputValue} = '';
${InputHelp} = 'Enter a string which represents the CGI data type.  Valid types are text.';
${TableName} = 'InputLines2';
${FieldName} =  'InputTypeCGI';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} = 'cgitypetext';
${InputName} = 'INPUTTYPECGI';
${InputPrompt} = 'text';
${InputTypeCGI} = 'option';
${InputValue} = 'text';
${InputHelp} = '';
${TableName} = 'InputLines2';
${FieldName} =  'InputTypeCGI';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='cgitypetextarea';
${InputName} = 'INPUTTYPECGI';
${InputPrompt} = 'textarea';
${InputTypeCGI} = 'option';
${InputValue} = 'Textarea';
${InputHelp} = '';
${TableName} = 'InputLines2';
${FieldName} =  'InputTypeCGI';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='cgityperadio';
${InputName} = 'INPUTTYPECGI';
${InputPrompt} = 'radio';
${InputTypeCGI} = 'option';
${InputValue} = 'Radio';
${InputHelp} = '';
${TableName} = 'InputLines2';
${FieldName} =  'InputTypeCGI';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='cgitypecheckbox';
${InputName} = 'INPUTTYPECGI';
${InputPrompt} = 'checkbox';
${InputTypeCGI} = 'option';
${InputValue} = 'Checkbox';
${InputHelp} = '';
${TableName} = 'InputLines2';
${FieldName} =  'InputTypeCGI';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='cgitypeselect';
${InputName} = 'INPUTTYPECGI';
${InputPrompt} = 'select';
${InputTypeCGI} = 'option';
${InputValue} = 'Select';
${InputHelp} = '';
${TableName} = 'InputLines2';
${FieldName} =  'InputTypeCGI';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='cgitypeoption';
${InputName} = 'INPUTTYPECGI';
${InputPrompt} = 'option';
${InputTypeCGI} = 'option';
${InputValue} = 'Option';
${InputHelp} = '';
${TableName} = 'InputLines2';
${FieldName} =  'InputTypeCGI';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='cgitypehidden';
${InputName} = 'INPUTTYPECGI';
${InputPrompt} = 'hidden';
${InputTypeCGI} = 'option';
${InputValue} = 'Hidden';
${InputHelp} = '';
${TableName} = 'InputLines2';
${FieldName} =  'InputTypeCGI';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

####  END InputTypeCGI

${LineName} ='inputtypesql';
${InputName} = 'INPUTTYPESQL';
${InputPrompt} = 'SQL Data Type';
${InputTypeCGI} = 'text';
${InputValue} = 'varchar(16)';
${InputHelp} = 'Enter a string which represents the SQL type.  All SQL data types are valid.';
${TableName} = 'InputDB2';
${FieldName} =  'InputTypeSQL';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='inputvalue';
${InputName} = 'INPUTVALUE';
${InputPrompt} = 'Default Value';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a default value for this data entry line';
${TableName} = 'InputLines2';
${FieldName} =  'InputValue';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} ='inputhelp';
${InputName} = 'INPUTHELP';
${InputPrompt} = 'Help Message';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a help message to further explain the type of data that should be entered on this data entry line';
${TableName} = 'InputLines2';
${FieldName} =  'InputHelp';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} ='tablename';
${InputName} = 'TABLENAME';
${InputPrompt} = 'Associated SQL Table Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the name of the SQL table where this data will be stored';
${TableName} = 'InputDB2';
${FieldName} =  'TableName';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='fieldname';
${InputName} = 'FIELDNAME';
${InputPrompt} = 'Associated SQL Field Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the name of the SQL field where this data will be stored';
${TableName} = 'InputDB2';
${FieldName} =  'FieldName';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='fieldheight';
${InputName} = 'HEIGHT';
${InputPrompt} = 'Field Height';
${InputTypeCGI} = 'text';
${InputValue} = '16';
${InputHelp} = 'Number of columns for TEXTAREA, Size of input box for TEXT';
${TableName} = 'InputAttributes2';
${FieldName} =  'Height';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} ='fieldwidth';
${InputName} = 'WIDTH';
${InputPrompt} = 'Field Width';
${InputTypeCGI} = 'text';
${InputValue} = '32';
${InputHelp} = 'Number of rows for TEXTAREA, MaxLength of input box for TEXT';
${TableName} = 'InputAttributes2';
${FieldName} =  'Width';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

####  Begin SELECTED 

${LineName} ='optionselected';
${InputName} = 'SELECTED';
${InputPrompt} = 'Selected';
${InputTypeCGI} = 'select';
${InputValue} = '0';
${InputHelp} = 'Indicates that this row is automatically selected on user input form.';
${TableName} = 'InputAttributes2';
${FieldName} =  'Selected';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} ='nooption';
${InputName} = 'SELECTED';
${InputPrompt} = 'No';
${InputTypeCGI} = 'option';
${InputValue} = '0';
${InputHelp} = '';
${TableName} = 'InputAttributes2';
${FieldName} =  'Selected';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} ='yesoption';
${InputName} = 'SELECTED';
${InputPrompt} = 'Yes';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'InputAttributes2';
${FieldName} =  'Selected';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

####  End SELECTED 

####  Begin MULTIPLE

${LineName} ='allowmultiples';
${InputName} = 'MULTIPLE';
${InputPrompt} = 'Multiple Selections';
${InputTypeCGI} = 'select';
${InputValue} = '0';
${InputHelp} = 'Indicates that Multiple rows may be selected on a drop down box.';
${TableName} = 'InputAttributes2';
${FieldName} =  'Multiple';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} ='nooption';
${InputName} = 'MULTIPLE';
${InputPrompt} = 'No';
${InputTypeCGI} = 'option';
${InputValue} = '0';
${InputHelp} = '';
${TableName} = 'InputAttributes2';
${FieldName} =  'Multiple';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} ='yesoption';
${InputName} = 'MULTIPLE';
${InputPrompt} = 'Yes';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'InputAttributes2';
${FieldName} =  'Multiple';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

####  End MULTIPLE

####  Begin REQUIRED

${LineName} ='isrequired';
${InputName} = 'REQUIRED';
${InputPrompt} = 'Required';
${InputTypeCGI} = 'select';
${InputValue} = '0';
${InputHelp} = 'Indicates that this data entry line contains required data.';
${TableName} = 'InputAttributes2';
${FieldName} =  'Required';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} ='nooption';
${InputName} = 'REQUIRED';
${InputPrompt} = 'No';
${InputTypeCGI} = 'option';
${InputValue} = '0';
${InputHelp} = '';
${TableName} = 'InputAttributes2';
${FieldName} =  'Required';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} ='yesoption';
${InputName} = 'REQUIRED';
${InputPrompt} = 'Yes';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'InputAttributes2';
${FieldName} =  'Required';
${InputTypeSQL} = 'varchar(3)';
${Height} = '3';
${Width} = '3';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

####  End REQUIRED


################################################################
#  Associate input lines with a form
################################################################

$sql = 'drop table FormLines2';
$sth = $dbh->do($sql);

$sql = 'create table FormLines2 ( FormName varchar(24), LineName varchar(24), PositionID integer )';
$sth = $dbh->do($sql);

${FormName} = 'MKPAGE';
${LineName} = 'formname';
${PositionID} = '1';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'pagetitle';
${PositionID} = '2';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'contactname';
${PositionID} = '3';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'contactemail';
${PositionID} = '4';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'clrpagebg';
${PositionID} = '5';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'clrlink';
${PositionID} = '6';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'clralink';
${PositionID} = '7';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'clrvlink';
${PositionID} = '8';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'clrtdbg';
${PositionID} = '9';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'clrbasefont';
${PositionID} = '10';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'clrthfont';
${PositionID} = '11';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'clrtdfont';
${PositionID} = '12';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'sizbasefont';
${PositionID} = '13';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'sizthfont';
${PositionID} = '14';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'siztdfont';
${PositionID} = '15';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'cellspacing';
${PositionID} = '16';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'cellpadding';
${PositionID} = '17';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'pretablescript';
${PositionID} = '18';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'posttablescript';
${PositionID} = '19';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'formaction';
${PositionID} = '20';
&mkformline;

${FormName} = 'MKPAGE';
${LineName} = 'formmethod';
${PositionID} = '21';
&mkformline;

################################################################
#  Associate input lines with form MKLINE
################################################################

${FormName} = 'MKLINE';

${LineName} = 'linename';
${PositionID} = '1';
&mkformline;

${LineName} = 'inputname';
${PositionID} = '2';
&mkformline;

${LineName} = 'inputprompt';
${PositionID} = '3';
&mkformline;

${LineName} = 'inputtypecgi';
${PositionID} = '4';
&mkformline;

${LineName} = 'cgitypetext';
${PositionID} = '401';
&mkformline;

${LineName} = 'cgitypetextarea';
${PositionID} = '402';
&mkformline;

${LineName} = 'cgityperadio';
${PositionID} = '403';
&mkformline;

${LineName} = 'cgitypecheckbox';
${PositionID} = '404';
&mkformline;

${LineName} = 'cgitypeselect';
${PositionID} = '405';
&mkformline;

${LineName} = 'cgitypeoption';
${PositionID} = '406';
&mkformline;

${LineName} = 'cgitypehidden';
${PositionID} = '407';
&mkformline;

${LineName} = 'inputtypesql';
${PositionID} = '5';
&mkformline;

${LineName} = 'inputvalue';
${PositionID} = '6';
&mkformline;

${LineName} = 'inputhelp';
${PositionID} = '7';
&mkformline;

${LineName} = 'tablename';
${PositionID} = '8';
&mkformline;

${LineName} = 'fieldname';
${PositionID} = '9';
&mkformline;

${LineName} = 'fieldheight';
${PositionID} = '10';
&mkformline;

${LineName} = 'fieldwidth';
${PositionID} = '11';
&mkformline;

${LineName} = 'selected';
${PositionID} = '12';
&mkformline;

${LineName} = 'yesoption';
${PositionID} = '1201';
&mkformline;

${LineName} = 'nooption';
${PositionID} = '1202';
&mkformline;

${LineName} = 'allowmultiples';
${PositionID} = '13';
&mkformline;

${LineName} = 'yesoption';
${PositionID} = '1301';
&mkformline;

${LineName} = 'nooption';
${PositionID} = '1302';
&mkformline;

${LineName} = 'isrequired';
${PositionID} = '14';
&mkformline;

${LineName} = 'yesoption';
${PositionID} = '1401';
&mkformline;

${LineName} = 'nooption';
${PositionID} = '1402';
&mkformline;

$dbh->disconnect();



